<html>

<head>
{% load staticfiles %}
<link rel="stylesheet" type="text/css" href="{% static 'App/mystyle.css' %}" />

</head>

<body>
	<center><h1>Pemecah Sudoku</h1></center>
    <center>
  	<button onclick="window.location.href='http://10.20.32.48:8000/a4'">Solver 4X4</button>
    <button onclick="window.location.href='http://10.20.32.48:8000/'">Solver 9X9</button>
    <button onclick="window.location.href='http://10.20.32.48:8000/sud16'">Solver 16X16</button>
  	</center>
  	<br>
		<center>
		<a href="#" id="tes" class="btn" onclick="reply_click(this.id)"><button>Buat Sudoku</button></a>
		</center><br>
	<form action="/jawaban/" method="get">
	<table class="sd" border="0" align="center" cellspacing="1" cellpadding="1">
		<tr>
			<td class="xx"><input id="1" class="big" name="grid" maxlength="1"></td>
			<td class="rr"><input id="2" class="big" name="grid" maxlength="1"></td>
			<td class="xx"><input id="3" class="big" name="grid" maxlength="1"></td>
			<td class="xx"><input id="4" class="big" name="grid" maxlength="1"></td>
    </tr>
    <tr>
			<td class="xx"><input id="5" class="big" name="grid" maxlength="1"></td>
			<td class="rr"><input id="6" class="big" name="grid" maxlength="1"></td>
			<td class="xx"><input id="7" class="big" name="grid" maxlength="1"></td>
			<td class="xx"><input id="8" class="big" name="grid" maxlength="1"></td>
    </tr>
  	<tr>
			<td class="top"><input id="9" class="big" name="grid" maxlength="1"></td>
			<td class="topr"><input id="10" class="big" name="grid" maxlength="1"></td>
			<td class="top"><input id="11" class="big" name="grid" maxlength="1"></td>
			<td class="top"><input id="12" class="big" name="grid" maxlength="1"></td>
    </tr>
    <tr>
			<td class="xx"><input id="13" class="big" name="grid" maxlength="1"></td>
			<td class="rr"><input id="14" class="big" name="grid" maxlength="1"></td>
			<td class="xx"><input id="15" class="big" name="grid" maxlength="1"></td>
			<td class="xx"><input id="16" class="big" name="grid" maxlength="1"></td>
    </tr>

	</table>
	<br>
	<center>
	<a href="#" id="reset" class="btn" onclick="reply_click(this.id)"><button type="reset" value="Reset">Reset</button></a>
	<input type="submit" value="Pecahkan">
	</center>
    </form>
</body>
<script type="text/javascript">

    function reply_click(clicked_id)
    {
			if(clicked_id == "tes")
			{
					document.getElementById('3').value = 1;
					document.getElementById('5').value = 4;
					document.getElementById('12').value = 2;
					document.getElementById('14').value = 3;

					document.getElementById('3').readOnly = true;
					document.getElementById('5').readOnly = true;
					document.getElementById('12').readOnly = true;
					document.getElementById('14').readOnly = true;
			}
			if(clicked_id == "reset")
			{
					document.getElementById('3').readOnly = false;
					document.getElementById('5').readOnly = false;
					document.getElementById('12').readOnly = false;
					document.getElementById('14').readOnly = false;
			}
    }

</script>
</html>
